Get a delivery batche
GET
/v1/projects/{projectId}/collection-orders/{orderId}/delivery-batches/{deliveryBatchId}curl -X GET 'https://api.embodiflow.io/v1/projects/{projectId}/collection-orders/{orderId}/delivery-batches/{deliveryBatchId}' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- projectIdstring必填
- orderIdstring必填
- deliveryBatchIdstring必填
响应
Success
- dataobject必填
- submissionsarray<CollectionSubmissionDto>必填
- deliveryBatchIdstring必填
- collectorMembershipIdstring必填
- statusstring必填
- submissionCountnumber必填
- acceptedCountnumber必填
- rejectedCountnumber必填
- submittedAtstring | null必填
- resolvedAtstring | null必填
响应示例
{
"data": {
"submissions": [
{
"id": "string",
"orderId": "string",
"taskId": "string",
"sceneId": "string",
"collectorMembershipId": "string",
"recordingId": "string",
"deliveryBatchId": "string",
"decision": "pending",
"reasonCode": "consent_missing",
"reasonDetail": "string",
"reviewerMembershipId": "string",
"decidedAt": "string",
"countsTowardQuota": false,
"recordedDurationS": 0,
"createdAt": "string",
"updatedAt": "string",
"rowVersion": 0
}
],
"deliveryBatchId": "string",
"collectorMembershipId": "string",
"status": "string",
"submissionCount": 0,
"acceptedCount": 0,
"rejectedCount": 0,
"submittedAt": "string",
"resolvedAt": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1